import { OnDestroy, AfterViewInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { Bibliography, Source } from '@hestia-earth/schema';
import { HeMendeleyService } from '../../mendeley/mendeley.service';
import { HeSearchService } from '../../search/search.service';
import * as i0 from "@angular/core";
declare type searchByFields = 'title' | 'documentDOI' | 'scopus';
declare type Result = Partial<Source> | Partial<Bibliography>;
export declare class BibliographiesSearchConfirmComponent implements AfterViewInit, OnDestroy {
    private mendeleyService;
    private searchService;
    private subscriptions;
    private search?;
    private searchSources;
    private searchBibliographies;
    searchBy: searchByFields;
    private closed;
    formGroup: FormGroup;
    loading: boolean;
    results: Observable<Result[]>;
    selectedResult?: Result;
    hasResults: boolean;
    constructor(formBuilder: FormBuilder, mendeleyService: HeMendeleyService, searchService: HeSearchService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private get searchLimit();
    private runSearchSources;
    private runSearchBibliographies;
    private runSearch;
    searchFocus(e: Event): void;
    get searchControl(): import("@angular/forms").AbstractControl;
    resetSearch(): void;
    selectResult(result: Result): void;
    confirm(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BibliographiesSearchConfirmComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BibliographiesSearchConfirmComponent, "he-bibliographies-search-confirm", never, { "search": "search"; "searchSources": "searchSources"; "searchBibliographies": "searchBibliographies"; "searchBy": "searchBy"; }, { "closed": "closed"; }, never, never>;
}
export {};
